summaryrefslogtreecommitdiffstats
path: root/source/x/skkdic/skkdic.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/skkdic/skkdic.SlackBuild')
-rwxr-xr-xsource/x/skkdic/skkdic.SlackBuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/source/x/skkdic/skkdic.SlackBuild b/source/x/skkdic/skkdic.SlackBuild
new file mode 100755
index 000000000..9c219ba5f
--- /dev/null
+++ b/source/x/skkdic/skkdic.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+# Slackware build script for skkdic
+
+# Copyright 2015-2016 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2016, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=skkdic
+SRCVER=${SRCVER:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
+VERSION=${VERSION:-$(echo $SRCVER | cut -f 1 -d 'T')}
+BUILD=${BUILD:-1}
+ARCH=noarch
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-skkdic
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf skkdic-$VERSION
+tar xvf $CWD/skkdic-$SRCVER.tar.?z || exit 1
+cd skkdic-$VERSION || exit 1
+chown -R root:root .
+
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+cp $CWD/unannotation.awk ./
+
+for dic in SKK-JISYO.L.unannotated SKK-JISYO.wrong; do
+ rm -f $dic
+ make $dic TOOLS_DIR=. || exit 1
+done
+
+mkdir -p $PKG/usr/share/skk/
+
+for i in SKK-JISYO* zipcode/SKK-JISYO*; do
+ install -p -m 644 "$i" $PKG/usr/share/skk
+done
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a ChangeLog READMEs/committers.txt edict_doc.txt $CWD/README-skkdic.rh.ja \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a zipcode/README.ja $PKG/usr/doc/$PKGNAM-$VERSION/README-zipcode.ja
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz